Arch Dach

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Roof and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Vorherige: Arch Grid.svg Gitter
Nächste: Raum Arch Space.svg Arrow-right.svg

Arch Roof.svg Arch Dach

Menüeintrag
Arch → Dach
Arbeitsbereich
Arch
Standardtastenkürzel
R F
Eingeführt in Version
-
Siehe auch
Arch Struktur, Arch Wand

Beschreibung

Das Arch Roof.svg Arch Dach Werkzeug erlaubt die Erstellung eines geneigten Daches aus einem ausgewählten Linienzug. Das erstellte Dach Objekt ist parametrisch und behält seine Verbindung zum Basisobjekt. Das Prinzip ist, dass jeder Kante ein Dachprofil (Neigung, Breite, Überhang, Dicke) zugewiesen wird.

Hinweis: Dieses Werkzeug befindet sich noch in der Entwicklung und kann bei sehr komplexen Formen fehlschlagen.

RoofExample.png

Ansicht von oben auf das Dach eines Gebäudemodell mit einer gewissen Transparenz

Anwendung

  1. Erstelle einen Linienzug entgegen dem Uhrzeigersinn und wähle ihn aus
    • CounterclockwiseWire.png
  2. Drücke die Arch Roof.svg Arch Dach Taste oder drücke R, dann F Tasten
  3. Das Standard Dach Objekt könnte eine seltsame Form haben, weil das Werkzeug nicht alle notwendigen Informationen hat
  4. Nachdem erstellen des Standard Dachs, doppelklicke auf das Objekt in der Baumansicht, um auf alle Eigenschaften zuzugreifen und sie zu bearbeiten. Der Winkel muss zwischen 0 und 90 liegen.
    • RoofTable.png
  5. Jede Linie entspricht einer Dachscheibe. Du kannst also für jede Dachscheibe die gewünschten Eigenschaften festlegen.
  6. Um Dir zu helfen, kannst Du Winkel oder Run auf 0 setzen und eine relative Id definieren, so dass eine automatische Berechnung die Daten relativ zu dieser relative Id ermittelt.
  7. Es funktioniert folgendermaßen:
    1. Falls Angle = 0 und Run = 0, dann ist das Profil identisch zum relativen Profil
    2. Falls Angle = 0, dann wird der Angle berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
    3. Falls Run = 0, dann wird der Run berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
  8. Am Ende setze den Winkel auf 90°, um einen Giebel zu erstellen
    • RoofProfil.png
  9. Hinweis: für ein besseres Verständnis siehe bitte diesen youtube clip.

Optionen

  • Dächer teilen die gemeinsamen Eigenschaften und Verhaltensweisen aller Arch Komponenten

Eigenschaften

  • Daten-EigenschaftWinkel: Liste der Neigungswinkel der Sparren (ein Winkel für jede Kante des Linienzuges).
  • Daten-EigenschaftRuns: Liste der Breite der Dachscheiben (ein Run für jede Kante des Linienzuges).
  • Daten-EigenschaftIdRel: Liste von Relation zwischen Winkel und Dachneigung
  • Daten-EigenschaftDicke: Liste der Stärken der Dachsparren (eine Stärke pro Kante im Linienzug).
  • Daten-EigenschaftÜberhang: Liste der Überhänge der Dachsparren (ein Überhang für jede Kante des Linienzuges).
  • Daten-EigenschaftFläche: Der Flächenindex des zu verwendenden Basisobjekts (nicht wirklich genutzt)

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Dach Werkzeug kann in Makros und aus der Python Konsole durch Verwenden der folgenden Funktion verwendet werden:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Erstellt ein Roof Objekt basierend auf dem vorgegebenen baseobj, das ein geschlossener Linienzug oder ein Festkörper sein kann.
    • Falls baseobj ein Linienzug ist, kannst Du eine Liste von angles (Winkeln), run (Auflage?), idrel, thickness (Stärke) und overhang (Überhang) für jede Kante des Linienzuges vorgeben, um die Dachform zu definieren. Der Standardwert für Winkel ist 45 und die Liste wird automatisch komplettiert, so dass sie mit der Anzahl von Kanten übereinstimmt.
    • Die Listen werden automatisch komplettiert, damit die Anzahl mit der Anzahl der Kanten des Linienzuges übereinstimmt.

Beispiel:

import FreeCAD as App
import Arch, Draft

doc = App.newDocument()

rect = Draft.makeRectangle(3000, 4000)
doc.recompute()

roof = Arch.makeRoof(rect, angles=[30.,])

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(0, 2000, 0)

wire = Draft.make_wire([p1, p2, p3], closed=True)
doc.recompute()

roof1 = Arch.makeRoof(wire)

doc.recompute()


Arrow-left.svg Vorherige: Arch Grid.svg Gitter
Nächste: Raum Arch Space.svg Arrow-right.svg